#!/usr/bin/ruby

require "mistfiles/send_request"
require "mistfiles/authentication"
require "mistfiles/objects"
require "mistfiles/containers"

class MistFiles
  def initialize(opts={})
    @username = opts[:username] || opts["username"]
    @api_key = opts[:api_key] || opts["api_key"]
    @region = (opts[:region] || opts["region"]).downcase.to_sym
    @british = (opts[:british] || opts["british"]) || false
    @internal = (opts[:internal] || opts["internal"]) || false
  end
end